Package org.opensaml.saml.metadata.generator.impl

# Interface MetadataGeneratorParameters

All Known Subinterfaces:
  `TemplateMetadataGeneratorParameters`

public interface MetadataGeneratorParameters
Inputs to metadata generation.

TODO: This will eventually migrate into the API.

Since:
  5.0.0

## Method Summary

Modifier and Type
Method
Description
`default Set<Namespace>`
`getAdditionalNamespaces()`
Get a set of additional namespaces to declare on root element.
`default AttributeAuthorityDescriptor`
`getAttributeAuthorityDescriptor()`
Get the AA role to generate.
`default List<String>`
`getCertificates()`
Dual-use certificates.
`default List<ContactPerson>`
`getContactPersons()`
Get the contacts.
`default String`
`getDescription()`
Get the description.
`default String`
`getDisplayName()`
Get the display name.
`default List<String>`
`getEncryptionCertificates()`
Encryption-only certificate path(s).
`default String`
`getEntityID()`
Get the unique ID.
`default IDPSSODescriptor`
`getIDPSSODescriptor()`
Get the IdP role to generate.
`default String`
`getLang()`
Get the language tag for language-specific content.
`default Logo`
`getLogo()`
Get the logo.
`default String`
`getOrganizationName()`
Get the organization name.
`default String`
`getOrganizationURL()`
Get the organization URL.
`default List<String>`
`getScopes()`
Get the {Scope} extension(s).
`default List<String>`
`getSigningCertificates()`
Signing-only certificate path(s).
`default SPSSODescriptor`
`getSPSSODescriptor()`
Get the SP role to generate.
`default Map<String,Collection<String>>`
`getTagAssignments()`
Get the `EntityAttributes` tag names and values in the form of a Java-based multi-map.
`default boolean`
`isOmitNamespaceDeclarations()`
Whether to omit the namespace declarations on the root element.

## Method Details

### getEntityID

@Nullable default String getEntityID()
Get the unique ID.

Returns:
  the unique ID

### getScopes

@Nonnull @Unmodifiable @NotLive default List<String> getScopes()
Get the {Scope} extension(s).

Returns:
  scope list

### isOmitNamespaceDeclarations

default boolean isOmitNamespaceDeclarations()
Whether to omit the namespace declarations on the root element.

Returns:
  true iff namespace declarations should be omitted

### getAdditionalNamespaces

@Nullable default Set<Namespace> getAdditionalNamespaces()
Get a set of additional namespaces to declare on root element.

Returns:
  additional namespaces

### getSPSSODescriptor

@Nullable default SPSSODescriptor getSPSSODescriptor()
Get the SP role to generate.

Only the endpoints and any basic flags are extracted from the role.

Returns:
  SP role or null

### getIDPSSODescriptor

@Nullable default IDPSSODescriptor getIDPSSODescriptor()
Get the IdP role to generate.

Only the endpoints and any basic flags are extracted from the role.

Returns:
  IdP role or null

### getAttributeAuthorityDescriptor

@Nullable default AttributeAuthorityDescriptor getAttributeAuthorityDescriptor()
Get the AA role to generate.

Only the endpoints and any basic flags are extracted from the role.

Returns:
  AA role or null

### getCertificates

@Nonnull @Unmodifiable @NotLive default List<String> getCertificates()
Dual-use certificates.

Keys will be applied to all roles.

Returns:
  base64-encoded certificates

### getSigningCertificates

@Nonnull @Unmodifiable @NotLive default List<String> getSigningCertificates()
Signing-only certificate path(s).

Keys will be applied to all roles.

Returns:
  base64-encoded certificates

### getEncryptionCertificates

@Nonnull @Unmodifiable @NotLive default List<String> getEncryptionCertificates()
Encryption-only certificate path(s).

Keys will be applied to all roles.

Returns:
  base64-encoded certificates

### getLang

@Nullable default String getLang()
Get the language tag for language-specific content.

Returns:
  language tag

### getDisplayName

@Nullable default String getDisplayName()
Get the display name.

Returns:
  display name

### getDescription

@Nullable default String getDescription()
Get the description.

Returns:
  description

### getLogo

@Nullable default Logo getLogo()
Get the logo.

Returns:
  logo

### getOrganizationName

@Nullable default String getOrganizationName()
Get the organization name.

Returns:
  organization name

### getOrganizationURL

@Nullable default String getOrganizationURL()
Get the organization URL.

Returns:
  organization URL

### getContactPersons

@Nonnull @Unmodifiable @NotLive default List<ContactPerson> getContactPersons()
Get the contacts.

Returns:
  list of contacts

### getTagAssignments

@Nonnull @Unmodifiable @NotLive default Map<String,Collection<String>> getTagAssignments()
Get the `EntityAttributes` tag names and values in the form of a Java-based multi-map.

Returns:
  map of tag names to zero or more values